ul.context {
  margin: 0;
  padding: 0 0.2em;
  position: absolute;
  display: block;
  list-style: none;
  z-index: 5;
  }

ul.context a {
  display: block;
  width: 17.5em;
  text-align: left;
  padding: 0.2em 0.2em 0.2em 2em;
  margin: 0.4em 0.2em;
  font-weight: bold;
  }

ul.context :hover, ul.context [aria-selected="true"] {
  text-shadow: none;
  }

div.NavBox > b {
  display: inline-block;
  margin: 0.5em;
  }

navigation {
  width: 19em;
  padding: 0.2em;
  clear: left;
  }

navigation > ul {
  margin: 0;
  padding: 0;
  text-align: center;
  }

navigation > ul > li.tocptr {
  display: none;
  }

navigation > ul span.nolink {
  font-weight: bold;
  }

navigation > ul li {
  list-style: none;
  vertical-align: middle;
  clear: left;
  position: relative;
  margin: 0.4em;
  padding: 0;
  }

navigation > ul li.disabled {
  padding: 0.2em 1em;
  }

navigation > ul li > ul {
  margin: 0;
  padding: 0;
  position: absolute;
  top: -0.4em;
  left: 18em;
  display: none;
  }

navigation > ul li:hover > ul, navigation > ul li:focus-within > ul {
  display: block;
  z-index: 1;
  }

navigation > ul li > ul.Subsect {
  display: block;
  z-index: 0;
  }

navigation > ul li > ul li {
  float: none;
  display: block;
  margin-bottom: 0.2em;
  box-shadow: 5px 5px 2px;
  }

navigation > ul a, navigation > ul span {
  display: block;
  width: 16em;
  padding: 0.2em 1em;
  font-weight: bold;
  }

navigation a > img {
  display: inline;
  vertical-align: middle;
  }

div#TOC {
  clear: left;
  margin-left: -2.4em;
  counter-reset: chapterlink;
  }

div#TOC > ul ul {
  margin-left: -2em;
  }

div#TOC > ul > li > a:before {
  content: counter(chapterlink)'. ';
  counter-increment: chapterlink;
  }

div#TOC ul {
  list-style: none;
  }

div#TOC li {
  clear: left;
  margin: 0.2em;
  padding: 0;
  }

div#TOC li > a {
  font-weight: bold;
  font-style: normal;
  text-decoration: underline;
  }

div#TOC > ul > li > ul {
  counter-reset: sectionlink;
  }

div#TOC > ul > li > ul > li > a:before {
  content: counter(chapterlink)'.'counter(sectionlink)'. ';
  counter-increment: sectionlink;
  }
